Page MenuHome

Undo System Bugs (parent task)
Closed, ResolvedPublicTO DO

Description

There are various bugs in the undo system, this parent task is to have an overview of the remaining task.

Errors with tests:

  • all fixed

Needs investigation:

  • T59340: Python custom Operators fail to Undo properly if executed while in edit mode.

Low Priority:

  • T61080: Undo not working at all when you disable "Global Undo".

Fixed

  • T60934: Undo crashes when calling bpy.ops.ed.undo_history(index=0) from Python.
  • T61032: Sculpt resets when undoing.
  • T61047: Undo edit-mesh separate selection crashes.
  • T61048: Undo texture paint multiple times crashes.
  • T61049: Undo dynamic topology sculpt asserts.
  • T61191: First Undo Step missing in Text Editor.
  • T61272: Undo fails to track objects moving in/out of edit mode w/ multi-editmode.
  • T54936: Crash - Undoing boolean operation with mirror mod.
  • T61263: Undo steps with texture paint break across memfile steps

Related Objects

Event Timeline

Campbell Barton (campbellbarton) lowered the priority of this task from 90 to Normal.Jan 31 2019, 2:38 AM
Campbell Barton (campbellbarton) changed the status of subtask T61047: Undo Editmesh Separate Crashes from Unknown Status to Resolved.Jan 31 2019, 5:04 AM
Campbell Barton (campbellbarton) changed the status of subtask T61172: Undo: texture paint redo crashes from Unknown Status to Resolved.Feb 4 2019, 9:51 AM
Campbell Barton (campbellbarton) changed the status of subtask T61049: Undo dynamic topology sculpt asserts from Unknown Status to Resolved.Feb 7 2019, 4:26 AM
Jeroen Bakker (jbakker) changed the subtype of this task from "Report" to "To Do".Jan 28 2020, 12:05 PM
Bastien Montagne (mont29) closed this task as Resolved.Dec 15 2020, 6:33 PM
Bastien Montagne (mont29) claimed this task.

Undo system still has many critical issues, but all tasks listed here are marked as closed, so let's close that one too and start a new fresh design task... T83806